svn::Property Class Reference

`#include <property.hpp>`

## Public Member Functions

| Property (Context *context=0, const Path &path="")
virtual | ~Property ()
const std::vector < PropertyEntry > & | entries () const
void | set (const char *name, const char *value)
void | remove (const char *name)

## Detailed Description

Class for manipulating Subversion properties.

## Constructor & Destructor Documentation

svn::Property::Property | ( | Context * | context = `0`,
|  | const Path & | path = `""`
| ) |  |

virtual svn::Property::~Property | ( |  | ) |

virtual

## Member Function Documentation

const std::vector<PropertyEntry>& svn::Property::entries | ( |  | ) | const

inline

get the list of properties for the path. throws an exception if the path isnt versioned.

void svn::Property::remove | ( | const char * | name | ) |

Deletes a property.

Exceptions

  ClientException |

void svn::Property::set | ( | const char * | name,
|  | const char * | value
| ) |  |

Sets an existing property with a new value or adds a new property. If a result is added it does not reload the result set. Run loadPath again.

Exceptions

  ClientException |

The documentation for this class was generated from the following file:

- property.hpp